/*
  map_poi.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MAP_POI_H__
#define __MAP_POI_H__

#include <qobject.h>
#include "pos.h"
#include "map_item.h"
#include "poi_db.h"
#include <qcache.h>

class MapItemPoi : public MapItem
{
	Q_OBJECT;
  public:
	MapItemPoi(Map *parent);
	~MapItemPoi();

	bool drawItem(QImage &scr, const Pos &pos);

  private:
	PoiDb *db;
	QImage cluster;

	QCache<QImage> icon_cache;

  public slots:
//	void setConfig(const QString &key, const QString &value);
};

#endif // __MAP_H__
